#include "apihelper.h"
#include "conversationhelper.h"
#include "../data/apirequest.h"

ConversationHelper::ConversationHelper(QObject *parent) : QObject(parent)
{
    mAPIHelper = new APIHelper(this);
}

void ConversationHelper::sendMessage(const NewConversationMessage &message)
{
    APIRequest *request = new APIRequest;
    request->setURI("conversations/sendMessage");
    request->addInt("conversationID", message.iDConversation());
    request->addString("message", message.message());

    connect(request, &APIRequest::finished, this, &ConversationHelper::sendMessageFinished);
    mAPIHelper->execute(request);
}

void ConversationHelper::sendMessageFinished(int code)
{
    //Delete sender
    qobject_cast<APIRequest *>(sender())->deleteLater();

    if(code != 200){
        emit sendMessageCallback(false);
        return;
    }

    //Success
    emit sendMessageCallback(true);
}
